#include <stdio.h>
#include <stdlib.h>

int main()
{
    int A, N, broj1,broj2,broj3,o=0,i=1;
    scanf("%i",&N);
    scanf("%i",&A);
    if(N>=2 && A>=2)
    {
        if (N % 2 == 1 && A == 2)
        {
            goto kraj;
        }

        if (N/3>=A)
        {

            if(N-(2*A)>=2*A)
            {
                broj1 = N - 2*A;
                if (N % 2 == 0)
                {
                    printf("%i %i\n",A,o);
                    printf("%i %i\n",A,o);
                    broj2 = broj1 / 2 + 1;
                    broj3 = broj1 / 2 - 1;
                    printf("%i %i\n",broj2, broj3);
                }
                else
                {
                    broj2 = broj1 / 2 + 1;
                    broj3 = broj1 / 2 - 1;
                    printf("%i %i\n",A,i);
                    printf("%i %i\n",A,o);
                    printf("%i %i\n",broj2, broj3);

                }

            }
            else
            {

                broj1 = N - 2*A;
                broj2 = broj1 - A;
                if (N % 2 == 0)
                {
                    printf("%i %i\n",A,o);
                    printf("%i %i\n",A,o);
                    printf("%i %i\n",A, broj2);
                }
                else
                {

                    printf("%i %i\n",A,i);
                    printf("%i %i\n",A,o);
                    printf("%i %i\n",A, broj2-1);

                }


            }


        }
        else
            printf("-1");
    }
    else
kraj:
        printf("-1");
    return 0;
}